#ifndef MODEL_H
#define MODEL_H

#include "I_Model.h"
#include "Vertex.h"

// Класс модели без индексов
class Model_wo_indexes : public I_Model
{
    public:
        Model_wo_indexes(Vertex* vertexArray, uint32_t verteciesCount);
        ~Model_wo_indexes();
        virtual void render(VkCommandBuffer commandBuffer);
    
    private:
        uint32_t verteciesCount; // Количество вершин
        VkBuffer vertexBuffer; // Буфер вершин
};

#endif // MODEL_H
